4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.pAclObject

ACL implementation
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: AclObject |  |  |  | Fields: EMPTY_NAMESPACE, FTSERVER_NAMESPACE

## Classes

class AclObject

### Methods

__init__(self, driver, isAnonymous, aclIdents)
clearCache(self)
getAcl(self, path, access)
getAclIdentifiers(self)
verifyAcl(self, path, access, verifyTraverse)
verifyAddMember(self, group, user)
Verify that the user can be added to the group
verifyChangePermissions(self, path)
Verify that there are change permission on the object
verifyCreate(self, path)
Verify that a resource can be created. 1. Verify that the user has traverse privileges to all of the grand parents 2. Verify that the user can write the parent
verifyDelete(self, path)
Verify that a resource can be deleted. 1. Verify that the user has traverse privileges to all of the parents 2. Verify that the user can delete the object
verifyFetch(self, path)
Verify that a resource can be fetched. 1. Verify that the user has traverse privileges to all of the parents 2. Verify that the user can read the last container
verifyWrite(self, path)
Verify that a resource can be written to. 1. Verify that the user has traverse privileges to all of the parents 2. Verify that the user can write the object

### Fields

aclExpression = /child::ftss:MetaData/child::ftss:Acl/child::ftss:Access
ownerExpression = string(/child::ftss:MetaData/child::ftss:Owner)

## Fields

EMPTY_NAMESPACE = None
FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'